Skip to content

Household⁠

Perform various operations on house records.

Operations⁠

searchHouseholdPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchHouseholdPagedSelectFields
POST /nexum/627/2022.01/account/searchHouseholdPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllHouseholdFields": false,
    "HouseholdFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateHouseholdByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

HouseholdLocatorintegeroptional
AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updateHouseholdByID
POST /nexum/627/2022.01/account/updateHouseholdByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "HouseholdLocator": 0,
  "HouseholdUpdatableFields": {
    "Type": 0,
    "AccountNumber": "0000000000"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createHousehold⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
HouseholdLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createHousehold
POST /nexum/627/2022.01/account/createHousehold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "HouseholdCreatableFields": {
    "Type": 0,
    "AccountNumber": "0000000000"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteHousehold⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
HouseholdLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deleteHousehold
POST /nexum/627/2022.01/account/deleteHousehold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "HouseholdLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}